#ifndef MAVIS_MOTOR_H
#define MAVIS_MOTOR_H
#include "Mavis_Gst_global.h"
#include <gst/gst.h>
#include <gst/video/videooverlay.h>
#include <QWidget>
#include <QVBoxLayout>
#include <QHBoxLayout>
#include <QString>
#include <stdio.h>
#include <stdlib.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <unistd.h>
#include <stdlib.h>
#include <linux/videodev2.h>
#include <sys/ioctl.h>
#include <QDebug>
#include <QtDBus/QDBusConnection>
#include <QtDBus/QDBusConnectionInterface>
#include <QtDBus/QDBusMessage>
#include <QtDBus/QDBusReply>
#include <QSensor>
#include <QOrientationSensor>
#include "motor_client.h"
#include <QTimer>
#include "_freecplus.h"
#include <gstcamera3ainterface.h>
#include "mavis_gst.h"
#include "rotatemotor.h"
#include <QThread>
#include <QTimer>

class Mavis_Motor : public QObject
{
    Q_OBJECT
public:
    Mavis_Motor();
    //摄像头motor初始化
    MotorReturn camera_motor_init();
    //摄像头motor关闭,关闭应用时，必须调用
    MotorReturn camera_motor_release();
    //设置摄像头马达翻转角度
    MotorReturn camera_motor_angle_set(int angle);
    //获取摄像头马达当前的角度
    MotorReturn camera_motor_angle_get(int *angle);
private :
    QThread m_thread;
    QTimer m_timer;
signals:
    void rotateMotorSig(int);
public slots:
    void camera_motor_angle_set_res(MotorReturn res);
private slots:
    void timeOutSlot();

};

#endif // MAVIS_MOTOR_H
